## org.eclipse.datatools.connectivity.oda.design
Interface InputParameterAttributes

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface InputParameterAttributes

extends org.eclipse.emf.ecore.EObject

The attributes of a top-level input parameter, which can be either scalar or complex type.

The following features are supported:

- `Element Attributes`
- `Ui Hints`

See Also:
  `DesignPackage.getInputParameterAttributes()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`InputElementAttributes` `getElementAttributes()` Returns the value of the 'Element Attributes' containment reference.
`InputParameterUIHints` `getUiHints()` Returns the value of the 'Ui Hints' containment reference.
`void` `setElementAttributes(InputElementAttributes value)` Sets the value of the '`Element Attributes`' containment reference.
`void` `setUiGroupPromptDisplayName(java.lang.String value)` Sets the value of the Group Prompt Display Name attribute in the element's UI hints.
`void` `setUiHints(InputParameterUIHints value)` Sets the value of the '`Ui Hints`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getElementAttributes

    InputElementAttributes getElementAttributes()

  Returns the value of the 'Element Attributes' containment reference.

  Returns:
    the value of the 'Element Attributes' containment reference.
  See Also:
    `setElementAttributes(InputElementAttributes)`, `DesignPackage.getInputParameterAttributes_ElementAttributes()`

### setElementAttributes

    void setElementAttributes(InputElementAttributes value)

  Sets the value of the '`Element Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Element Attributes' containment reference.
  See Also:
    `getElementAttributes()`

### getUiHints

    InputParameterUIHints getUiHints()

  Returns the value of the 'Ui Hints' containment reference.

  Returns:
    the value of the 'Ui Hints' containment reference.
  See Also:
    `setUiHints(InputParameterUIHints)`, `DesignPackage.getInputParameterAttributes_UiHints()`

### setUiHints

    void setUiHints(InputParameterUIHints value)

  Sets the value of the '`Ui Hints`' containment reference.

  Parameters:
    `value` - the new value of the 'Ui Hints' containment reference.
  See Also:
    `getUiHints()`

### setUiGroupPromptDisplayName

    void setUiGroupPromptDisplayName(java.lang.String value)

  Sets the value of the Group Prompt Display Name attribute in the element's UI hints.

  Parameters:
    `value` - the new value of the 'Group Prompt Display Name' attribute.
  See Also:
    `setUiHints(InputParameterUIHints)`